KDE 4.7 PyKDE API Reference

- KDE's Python API

# KUrlComboRequester Class Reference

`from PyKDE4.kio import *`

Inherits: KUrlRequester → KHBox → QFrame → QWidget → QObject

## Detailed Description

This class is a widget showing a lineedit and a button, which invokes a filedialog. File name completion is available in the lineedit.

The defaults for the filedialog are to ask for one existing local file, i.e. KFileDialog.setMode( KFile.File | KFile.ExistingOnly | KFile.LocalOnly ) The default filter is "*", i.e. show all files, and the start directory is the current working directory, or the last directory where a file has been selected.

You can change this behavior by using setMode() or setFilter().

The default window modality for the file dialog is Qt.ApplicationModal

"KDE URL Requester"

A widget to request a filename/url from the user

Author:
  Carsten Pfeiffer <pfeiffer@kde.org>

## Methods
| __init__ (self, QWidget parent=0)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Constructs a KUrlRequester widget with a combobox.